# Rocket v0.5 Release Candidate

<p class="metadata"><strong>
  Posted by <a href="https://sergio.bz">Sergio Benitez</a> on June 09, 2021
</strong></p>

Rocket `0.5.0-rc.1`, a release candidate for Rocket v0.5, is now available.

This release actualizes over _two years_ of development, bringing Rocket to Rust
stable and `async` to Rocket. Every facet, from core request handling to error
messages, has been subjected to Rocket's exacting standards.

This release candidate is an opportunity to discover issues with Rocket v0.5 and
its documentation before a general release. We encourage all users to migrate
their applications to the release candidate. All documentation, including the
[guide] and [API docs], has been updated in full for v0.5. Please report issues
to the [GitHub issue tracker]. Questions or concerns should instead be raised on
Rocket's newly available [GitHub discussions].

The Rocket v0.5 general release is planned for Friday, June 18th. A complete
migration guide and news article will accompany the general release. Until then,
the [CHANGELOG] contains every feature addition, change, and improvement since
v0.4.

We hope you enjoy Rocket v0.5 as much as we enjoyed creating it. We look forward
to your feedback!

[GitHub issue tracker]: https://github.com/SergioBenitez/Rocket/issues
[GitHub discussions]: https://github.com/SergioBenitez/Rocket/discussions
[CHANGELOG]: https://github.com/SergioBenitez/Rocket/blob/v0.5-rc/CHANGELOG.md#version-050-rc1-jun-9-2021
[API docs]: @api
[guide]: ../../guide

## About Rocket

Rocket is a web framework for Rust with a focus on usability, security,
extensibility, and speed. Rocket makes it simple to write fast, secure web
applications without sacrificing usability.

Not already using Rocket? Join the tens of thousands of users and hundreds of
companies happily using Rocket today! Rocket's extensive documentation makes it
easy: get started by [reading through the guide](../../guide) or learning more
from [the overview](../../overview).
